<div class="loginPage">
  <app-popup></app-popup>
  <div class = "Triangle">

  </div>
  <div class = "login">
    <div class = "circle"></div>
    <h1 class = "Heading">Welcome to Fooderos</h1>
    <p class = "Paragraph">Please enter your phone number and Log in</p>
    <div class = "Form">
      <form [formGroup] = "loginFormGroup" (ngSubmit)="onSubmit()" >
        <div class = "input">
          <fieldset class = "selectF">
            <legend class = "codeL">code</legend>
            <select class = "selectS" formControlName = 'countryCodes'>
              <option *ngFor = "let country of countryCodes" value = {{country.id}}>+{{country.phone_code}}</option>
            </select>
          </fieldset>
          <!-- [ngClass] = "{errorInp: error}" -->
          <mat-form-field class = "phoneNumber" appearance="outline">
            <mat-label>Phone number</mat-label>
            <input class = "phNumberInp" type = "text" matInput formControlName = 'phoneNumber'>
          </mat-form-field>
        </div>
        <button type = "submit"class = "loginBtn">Log in</button>
      </form>
    </div>
    <p class="terms">By signing in you agree with <a class = "termsA">Terms and Conditions</a></p>
  </div>
</div>
